Bug 879881 - Review Request: gst-openmax - OpenMAX plugin for gstreamer
Review Request: gst-openmax - OpenMAX plugin for gstreamer
Status: CLOSED DUPLICATE of bug 980934
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 882743
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-24 22:55 EST by ryanl
Modified: 2013-10-19 12:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 11:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the updated source rpm file (2.03 MB, application/octet-stream)
2012-12-02 11:37 EST, amartinencosbr
no flags Details

  None (edit)
Description ryanl 2012-11-24 22:55:51 EST
Spec URL: https://docs.google.com/file/d/0B0THh1GbRWnATncxRy1WMXNiQnM/edit
SRPM URL: https://docs.google.com/file/d/0B0THh1GbRWnAbERDRVpXUlNXdTQ/edit
Description: OpenMAX plugin for gstreamer
Fedora Account System Username: aqualie
Comment 1 ryanl 2012-11-24 22:58:48 EST
This is my first package and am seeking a sponsor. Here is a link to my koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4724781
Comment 2 ryanl 2012-12-01 23:03:40 EST
Informal Review:

rpmlint output
gst-openmax.spec: W: more-than-one-%changelog-section
gst-openmax.spec: W: invalid-url Source0: file:///home/makerpm/gst-openmax-0.2.tar.gz
gst-openmax.src: W: more-than-one-%changelog-section
gst-openmax.src: W: invalid-url Source0: file:///home/makerpm/gst-openmax-0.2.tar.gz
4 packages and 1 specfiles checked; 0 errors, 4 warnings.

BAD: The package must be named according to the Package Naming Guideline.
	•	Upstream version(gstreamer.freedesktop.org/src/gst-openmax/) is gst-openmax-0.10.1
	•	RPM version says gst-openmax-0.2

OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. [2] .

BAD: The package must meet the Packaging Guidelines .
	1.	summary does not provide a concise description of the package
	2.	changelog tag specified twice
	3.	source tag not pointing to upstream source
	4.	upstream documentation missing
	5.	files tag points to a specific libdir
	6.	doc tag does not include all documentation in build

GOOD: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

GOOD: The License field in the package spec file must match the actual license.

BAD: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
	•	Not included in doc tag

GOOD: The spec file must be written in American English.

GOOD: The spec file for the package MUST be legible.

BAD:  The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
	•	Source does not use an upstream URL

GOOD: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
	•	Builds fine on Mock & Koji(ARM, PPC, S390, & x86_64)

GOOD: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 

GOOD:  All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

GOOD: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

GOOD: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

GOOD: Packages must NOT bundle copies of system libraries.

GOOD: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

GOOD: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
	•	Uses gstreamer library directory which is specified

GOOD: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

GOOD: Permissions on files must be set properly. Executables should be set with executable permissions, for example.

GOOD: Each package must consistently use macros. 

GOOD: The package must contain code, or permissable content.

GOOD: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

GOOD: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 

BAD: Static libraries must be in a -static package.
	•	Package only provides libraries

GOOD: Development files must be in a -devel package.

GOOD: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
	•	Development package is created by rpm

GOOD:  Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

GOOD: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 

GOOD: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

GOOD: All filenames in rpm packages must be valid UTF-8.

BAD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it
	▪	Not included in spec file

BAD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
	•	summary does not provide a concise description of the package

GOOD: The reviewer should test that the package builds in mock.
	•	Built without any issues

GOOD: The package should compile and build into binary rpms on all supported architectures. 
	•	x86_64: http://koji.fedoraproject.org/koji/taskinfo?taskID=4747611
	•	ARM: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1276345
	•	PPC: http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=803129
	•	S390: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=876947

BAD:  The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
	•	Unable to list codecs per documentation instructions

GOOD:  If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
	•	None used.

GOOD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 

GOOD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.

GOOD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

GOOD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
Comment 3 amartinencosbr 2012-12-02 11:37:38 EST
Created attachment 656127 [details]
This is the updated source rpm file
Comment 4 amartinencosbr 2012-12-02 11:38:57 EST
This new package needs a review.
Comment 5 amartinencosbr 2012-12-02 14:12:43 EST
Changes:

BAD: The package must be named according to the Package Naming Guideline.
FIXED: changed the name to gst-openmax-0.10.1

BAD: The package must meet the Packaging Guidelines .
	1.	summary does not provide a concise description of the package
	2.	changelog tag specified twice
	3.	source tag not pointing to upstream source
	4.	upstream documentation missing
	5.	files tag points to a specific libdir
	6.	doc tag does not include all documentation in build
FIXED:
	1. Chaged the summary
	2. Only one changelog tag is being used
	3. Source tag points to the proper source
	4. Added documentation in the %doc
	5. changed to the macro
	6. Added all the documentation to the build

BAD: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
	•	Not included in doc tag
FIXED: added all the files 


BAD:  The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
	•	Source does not use an upstream URL
FIXED: Changed to upstream URL



BAD: Static libraries must be in a -static package.
	•	Package only provides libraries
COMMENT: it is not a static library, but a gstreamer plugin


BAD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it
	▪	Not included in spec file
FIXED: Added COPYING file to the %doc


BAD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
	•	summary does not provide a concise description of the package
FIXED: Changed the summary

BAD:  The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
	•	Unable to list codecs per documentation instructions
FIXED: Added aditional file called README.fedora with proper instructions
Comment 6 amartinencosbr 2012-12-02 14:16:04 EST
Changes:

BAD: The package must be named according to the Package Naming Guideline.
FIXED: changed the name to gst-openmax-0.10.1

BAD: The package must meet the Packaging Guidelines .
	1.	summary does not provide a concise description of the package
	2.	changelog tag specified twice
	3.	source tag not pointing to upstream source
	4.	upstream documentation missing
	5.	files tag points to a specific libdir
	6.	doc tag does not include all documentation in build
FIXED:
	1. Chaged the summary
	2. Only one changelog tag is being used
	3. Source tag points to the proper source
	4. Added documentation in the %doc
	5. changed to the macro
	6. Added all the documentation to the build

BAD: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
	•	Not included in doc tag
FIXED: added all the files 


BAD:  The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
	•	Source does not use an upstream URL
FIXED: Changed to upstream URL



BAD: Static libraries must be in a -static package.
	•	Package only provides libraries
COMMENT: it is not a static library, but a gstreamer plugin


BAD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it
	▪	Not included in spec file
FIXED: Added COPYING file to the %doc


BAD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
	•	summary does not provide a concise description of the package
FIXED: Changed the summary

BAD:  The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
	•	Unable to list codecs per documentation instructions
FIXED: Added aditional file called README.fedora with proper instructions
Comment 7 Michael Schwendt 2012-12-05 17:02:58 EST
I'm not sure what's going on in this ticket. It's great if a reviewer reviews an own package, but the comments are difficult to read. Please use a little bit of indentation as in emails. 

Here are a few comments. Download of the src.rpm failed for unknown reasons, only could view the spec file:


> rpmlint output
> gst-openmax.spec: W: more-than-one-%changelog-section

This warning from rpmlint deserved a comment. Actually, you should comment on everything it says about the package to eliminate false positives.

Here, rpmlint is correct. The spec file contains two %changelog sections, which is bad. Create and maintain a single %changelog per spec file.


> gst-openmax.spec: W: invalid-url Source0: file:///home/makerpm/gst-openmax-0.2.tar.gz

No comment either? Give "rpmlint -i …" a try. Run it on src.rpm and built rpms. No need to run it on the individual spec file.


> Summary:        Plugin

That's very half-hearted. Could it be a little bit more verbose, please?


> %description 
> Plugin that allows communication with OpenMAX IL components.

And no mentioning of GStreamer? Odd.


>	•	Source does not use an upstream URL

Why not? What did you find in the Packaging Guidelines about this?


> BAD: Static libraries must be in a -static package.
>	•	Package only provides libraries

?? Please explain. The spec file places a statically linked build of the plugin file in a -devel package, which is as wrong as it could get.


> GOOD: Development files must be in a -devel package.

No. There must not be any -devel package for this software.


> GOOD: In the vast majority of cases, devel packages must require the base
> package using a fully versioned dependency: Requires: %{name}%{?_isa} =
> %{version}-%{release}
>	•	Development package is created by rpm

You misunderstood the guidelines.


> GOOD:  Packages must NOT contain any .la libtool archives, these must
> be removed in the spec if they are built.

Why "GOOD"? You did _not_ remove them.


> BAD: If the source package does not include license text(s) as a separate
> file from upstream, the packager SHOULD query upstream to include it
>	▪	Not included in spec file

Please clarify. Where is the license file?


> BAD: The description and summary sections in the package spec file should
> contain translations for supported Non-English languages, if available.
> 	•	summary does not provide a concise description of the package

Indeed. How about fixing it then?


> BAD:  The reviewer should test that the package functions as described.
> A package should not segfault instead of running, for example.
> 	•	Unable to list codecs per documentation instructions

???


> %install
> rm -rf $RPM_BUILD_ROOT/usr/local/lib/gstreamer-0.10

What's this? We don't do anything in /usr/local withing RPM packages.
Comment 8 amartinencosbr 2012-12-07 22:44:58 EST
You just looked over the old package, the updated one is in the attachment section.
Comment 9 Michael Schwendt 2012-12-08 19:27:35 EST
https://fedoraproject.org/wiki/Package_Review_Process

The package contributor has not yet merged those changes.

The attached src.rpm is not from the package contributer and does not fix all issues in the original submission either. Its %changelog section also doesn't list the changes, but just says "fixed spec file".

Even if a second person contributes a modified src.rpm and spec file, reviewer's comments ought to be read and commented on by the package contributor.
Comment 10 ryanl 2012-12-08 19:40:26 EST
Michael Schwendt,
amartinencosbr@gmail.com will be managing this bug request. Please review and use any attachments uploaded.
Comment 11 Michael Schwendt 2012-12-09 08:38:50 EST
Well, then be so kind and open a new package review request, so it is clear who is the submitter, who needs sponsorship, and so on.

Also reply to what I pointed out in comment 7. There's enough that still applies to the attached src.rpm, too.
Comment 12 Peter Robinson 2013-04-14 11:50:44 EDT
What is the status of this? 

Ultimately the package should likely be named gstreamer-openmax (or gstreamer-omx) based on all the other gstreamer packages in Fedora.
Comment 13 Michael Schwendt 2013-06-23 08:22:11 EDT
It seems there is no interest in working on these packages.
Comment 14 Peter Robinson 2013-07-03 11:15:34 EDT
As this review is dead and unresponsive I've submitted a new one with the latest package etc.

*** This bug has been marked as a duplicate of bug 980934 ***

Note You need to log in before you can comment on or make changes to this bug.